# $Revision: 1.55 $, $Date: 2004/11/07 20:16:06 $
Summary:	WindowMaker sound server
Summary(fr):	Serveur de son de Window Maker
Summary(nb):	Window Maker lydtjener
Summary(pl):	Serwer dwiku dla WindowMakera
Name:		WSoundServer
Version:	0.4.1
Release:	2
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	http://largo.windowmaker.org/files/%{name}-%{version}.tar.gz
# Source0-md5:	cfc8d0bdf97e7b165790cf266d40670e
Source1:	%{name}.desktop
Source2:	%{name}-config
Patch0:		%{name}-libdockapp.patch
Patch1:		%{name}-rm_unknown_audiofile_compression.patch
Patch2:		%{name}-acfix.patch
Icon:		WSoundServer.xpm
URL:		http://largo.windowmaker.org/files.php#WSoundServer
BuildRequires:	WindowMaker-devel
BuildRequires:	XFree86-devel
BuildRequires:	audiofile-devel >= 0.1.9
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libPropList-devel >= 0.8.3
BuildRequires:	libdockapp-devel
BuildRequires:	libtool
Requires:	WindowMaker >= 0.60.0
Provides:	wmsoundserver
Obsoletes:	wmsoundserver
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/X11

%description
WSoundServer is the sound server for WindowMaker.

%description -l fr
WSoundServer est le serveur de son pour Window Maker.

%description -l nb
WSoundServer er en lydtjener for Window Maker.

%description -l pl
WSoundServer jest serwerem dwiku dla WindowMakera.

%package devel
Summary:	WSoundServer libraries and headers
Summary(nb):	Utviklings bibliotek for WSoundServer
Summary(fr):	Bibliothques et includes pour WSoundServer
Summary(pl):	Biblioteki i pliki nagwkowe dla WSoundServer
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	wmsound-devel

%description devel
WSoundServer libraries and headers.

%description devel -l fr
Bibliothques et includes pour WSoundServer.

%description devel -l nb
WSoundServer biblioteket samt headerfilen.

%description devel -l pl
Biblioteki i pliki nagwkowe dla WSoundServer.

%package static
Summary:	WSoundServer static libraries
Summary(fr):	Bibliothques statiques pour WSoundServer
Summary(pl):	Biblioteki statyczne dla WSoundServer
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
WSoundServer static libraries.

%description static -l fr
Bibliothques statiques pour WSoundServer.

%description static -l pl
Biblioteki statyczne dla WSoundServer.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}} \
	$RPM_BUILD_ROOT%{_sysconfdir}/WindowMaker

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install src/wsoundserver.xpm $RPM_BUILD_ROOT%{_pixmapsdir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/WindowMaker/WMSound

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/getsoundset
%attr(755,root,root) %{_bindir}/setsoundset
%attr(755,root,root) %{_bindir}/wsound*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/WindowMaker/WMSound

%{_pixmapsdir}/wsoundserver.xpm
%{_desktopdir}/%{name}.desktop

%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/get-wsound-flags
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: WSoundServer.spec,v $
Revision 1.55  2004/11/07 20:16:06  havner
- WSoundServer shouldn't require wmsound-data
- rel 2

Revision 1.54  2004/11/07 18:40:33  havner
- 0.4.1
- libdockapp patch

Revision 1.53  2004/11/07 17:02:18  qboosh
- added URL (note: there is 0.4.1)

Revision 1.52  2004/10/31 13:42:42  qboosh
- moved to /usr, switched to vfolders, strict internal deps

Revision 1.51  2004/10/31 13:31:27  paladine
- spaces->tabs

Revision 1.50  2004/02/16 17:27:48  qboosh
- next part of locale names update for glibc 2.3.3: s/no/nb/ in rpm headers

Revision 1.49  2003/08/18 08:07:53  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.48  2003/07/06 23:27:14  blues
- many small fixes, mostly inpired by kloczek

Revision 1.47  2003/06/13 10:13:08  misi3k
- md5sum fix

Revision 1.46  2003/06/13 09:46:57  ankry
- real md5

Revision 1.45  2003/06/11 09:46:40  ankry
- added md5

Revision 1.44  2003/05/25 05:45:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.43  2002/12/23 11:32:29  qboosh
- working Source0 URL

Revision 1.42  2002/11/25 14:12:19  ankry
- massive attack: no need for 755 for *.la

Revision 1.41  2002/10/09 13:14:15  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.40  2002/09/04 12:11:48  qboosh
- use sounds in separate package - the same for WSoundServer and wmsound
- added fix for autoconf 2.53
- release 4

Revision 1.39  2002/06/23 20:32:19  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.38  2002/05/21 23:12:39  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.37  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.36  2002/02/22 23:28:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.35  2002/02/02 20:40:45  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.34  2002/01/18 02:12:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.33  2001/09/26 09:14:04  qboosh
- BuildRequires: autoconf, automake, libtool

Revision 1.32  2001/09/26 02:50:14  blues
- release 3
- ac2.5 ready

Revision 1.31  2001/02/25 09:35:54  kloczek
- relese 2: ops .. removed WSoundServer-data from Requires.

Revision 1.30  2001/02/23 04:21:08  kloczek
- updated to 0.4.0,
- merge data subpackage with main,
- move %doc to devel,
- added rm_unknown_audiofile_compression and WINGs patches.

Revision 1.29  2001/02/02 17:50:32  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.28  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.27  2000/11/12 16:58:51  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.26  2000/07/17 02:17:21  kloczek
- release 4.

Revision 1.25  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.24  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.23  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.22  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.21  2000/02/10 02:06:07  kloczek
- removed lib*.la files from nain package.

Revision 1.20  2000/02/08 22:32:26  pius
- rebuild against libdockapp
- added more rpm macros
- cosmetics
- release 3

Revision 1.19  1999/10/27 08:44:05  pius
- added Obsoletes: wmsound-devel

Revision 1.18  1999/10/20 19:10:40  pius
- updated to 0.2.2
- corrected typos
- fixed dependencies

Revision 1.17  1999/10/13 19:05:41  pius
- added data subpackage (with *.wav files taken from wmsound package)
- added fr,no translation
- get-wsound-flags moved to devel
- cosmetics
- release 2

Revision 1.16  1999/10/13 18:04:16  pius
- updated to 0.2.1
- Requires: audiofile-devel >= 0.1.9

Revision 1.15  1999/09/20 23:43:03  kloczek
- added lib*.la files to devel.

Revision 1.14  1999/09/19 11:12:07  pius
- updated to 0.2.0

Revision 1.13  1999/09/16 20:28:04  pius
- updated to 0.1.2

Revision 1.12  1999/09/04 09:13:11  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.11  1999/07/20 12:48:05  wiget
- switch to rpm 3.0.2

Revision 1.10  1999/07/18 10:52:45  pius
- updated to 0.1.1,
- added installing man pages,
- minor changes.

Revision 1.9  1999/07/12 23:06:21  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Jul 05 1999 Piotr Czerwiski <pius@pld.org.pl>
  [0.1.0-1]
- initial rpm release for PLD use.
